Bug 221274 - Adjust EventHandler to account for image extraction content
Summary: Adjust EventHandler to account for image extraction content
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-02 10:51 PST by Wenson Hsieh
Modified: 2021-02-10 14:43 PST (History)
8 users (show)

See Also:


Attachments
Patch (3.51 KB, patch)
2021-02-07 14:13 PST, Wenson Hsieh
thorton: review+
Details | Formatted Diff | Diff
For landing (3.70 KB, patch)
2021-02-08 10:55 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2021-02-02 10:51:30 PST
See radar for more detail.
Comment 1 Wenson Hsieh 2021-02-07 14:13:29 PST
Created attachment 419548 [details]
Patch
Comment 2 Tim Horton 2021-02-08 10:18:03 PST
Comment on attachment 419548 [details]
Patch

Should we make the element method behavioral instead of identifying?
Comment 3 Wenson Hsieh 2021-02-08 10:34:03 PST
(In reply to Tim Horton from comment #2)
> Comment on attachment 419548 [details]
> Patch
> 
> Should we make the element method behavioral instead of identifying?

Sounds good! Changed isImageOverlayContainer to shouldUpdateSelectionForMouseDrag, and made it take the previous VisibleSelection (selectionBeforeUpdate).
Comment 4 Wenson Hsieh 2021-02-08 10:55:17 PST
Created attachment 419605 [details]
For landing
Comment 5 EWS 2021-02-08 11:43:35 PST
Committed r272503: <https://commits.webkit.org/r272503>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419605 [details].
Comment 6 Radar WebKit Bug Importer 2021-02-10 14:43:31 PST
<rdar://problem/74207111>